This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 484057 - (epigrafica-fonts) Review Request: epigrafica-fonts - The Epigrafica font family.
Review Request: epigrafica-fonts - The Epigrafica font family.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 492900 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-02-04 10:30 EST by Stephen Carter
Modified: 2011-05-26 13:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-20 11:23:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Carter 2009-02-04 10:30:04 EST
Spec URL: http://matrix.senecac.on.ca/~scarter4/epigrafica-fonts.spec
SRPM URL: http://matrix.senecac.on.ca/~scarter4/epigrafica-fonts-1.01-1.fc9.src.rpm
Description: A font family based on the Optima designs by HermannZapf, made by the Department of Mathematics of the University of the Aegean.

This is my first package to be reviewed, and I am looking for a sponser. Any feedback is most definitely welcome!
Comment 1 Nicolas Mailhot 2009-02-04 15:29:40 EST
Some feedback (not a real complete review yet, you have some rework to do first)

1. your packaging is based on the templates we used 2/3 months ago. Since then a major new version has been approved. You need to read the current version of http://fedoraproject.org/wiki/Packaging:FontsPolicy and adapt to it

(in particular
http://fedoraproject.org/wiki/Packaging:FontsPolicy#Technical_implementation but do read the rest, it has changed and been clarified too)

The policy changes have been made to simplify packaging, trying to minimize the work needed to adapt current packages, so it should not be too hard for you.

2. your summary is not very informative

3. URL needs to be the font project homepage, your chosen URL is not really useful in a browser

4. since this entity creates other fonts, a foundry prefix would be a good idea in the naming (for example aegean)

5. since this you know this font is a cosmetica fork, which is itself an optima fork, you need to tell this to fontconfig via some substitution rules. fontpackages-devel has some templates you can follow to do this easily

6. since we've considerably simplified fonts packaging lately, we require at least *two* clean font package submissions before sponsoring someone. So you'll need another submission for this one to succeed.
Comment 2 Stephen Carter 2009-02-13 20:11:42 EST
My second font submission can be found here: https://bugzilla.redhat.com/show_bug.cgi?id=485542 . I will be cleaning up this one and uploading fresh packages very soon.
Comment 3 Tom "spot" Callaway 2009-03-31 09:11:04 EDT
Whoops! I didn't notice that someone else had already started working on packaging this font, and I opened my own review request (492900). If you still want to maintain this, I will close mine out, please let me know.
Comment 4 Stephen Carter 2009-03-31 09:14:26 EDT
(In reply to comment #3)
> Whoops! I didn't notice that someone else had already started working on
> packaging this font, and I opened my own review request (492900). If you still
> want to maintain this, I will close mine out, please let me know.  

Yes, I'm still going to maintain this one. :)
Comment 5 Tom "spot" Callaway 2009-03-31 09:25:19 EDT
*** Bug 492900 has been marked as a duplicate of this bug. ***
Comment 6 Paul Flo Williams 2010-02-18 12:41:16 EST
I have been in touch with Stephen Carter by email and he has confirmed that he will not be completing this package. I'm going to try to close this bug in accordance with the Package maintainer policy on the wiki.
Comment 7 Nicolas Mailhot 2010-02-20 11:23:58 EST
Closing

Note You need to log in before you can comment on or make changes to this bug.